Package twisted :: Package conch :: Package ssh :: Module common

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.common

Common functions for the SSH classes.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Function Summary
| ``ffs`(c, s)` first from second goes through the first list, looking for items in the second, returns the first one
| ``getMP_py`(data)` get multiple precision integer
| ``getNS`(s, count)` get net string
| `MP_py(number)`
| ``NS`(t)` net string
number | ``pyPow`(x, y, z)` pow(x, y[, z]) -> number
| `tgmpPow(x, y, z)`
| ``_MPpow_py`(x, y, z)` return the MP version of (x**y)%z

Variable Summary
`RandomPool` | `entropy`
`FakeModule` | `getMP`
`FakeModule` | `MP`
`FakeModule` | `tgmp`
`FakeModule` | `_MPpow`

Function Details

### ffs(c, s)

first from second goes through the first list, looking for items in the second, returns the first one

### getMP_py(data)

get multiple precision integer

### getNS(s, count=1)

get net string

### NS(t)

net string

### pyPow(x, y, z=...)

pow(x, y[, z]) -> number

With two arguments, equivalent to x**y. With three arguments, equivalent to (x**y) % z, but may be more efficient (e.g. for longs).

  Returns:
    number

### _MPpow_py(x, y, z)

return the MP version of (x**y)%z

Variable Details

### entropy

  Type:
    `RandomPool`
  Value:

        <Crypto.Util.randpool.RandomPool instance at 0x843c57c>

### getMP

  Type:
    `FakeModule`
  Value:

        <Fake tgmp.getMP>

### MP

  Type:
    `FakeModule`
  Value:

        <Fake tgmp.MP>

### tgmp

  Type:
    `FakeModule`
  Value:

        <Fake tgmp>

### _MPpow

  Type:
    `FakeModule`
  Value:

        <Fake tgmp._MPpow>

Generated by Epydoc 1.1 on Sat Feb 15 21:18:55 2003 | http://epydoc.sf.net